Bug 208264

Summary: REGRESSION: (257072) [ Mac wk2 Release ] fast/harness/uiscriptcontroller/concurrent-ui-side-scripts.html is flaky failing.
Product: WebKit Reporter: Jason Lawrence <Lawrence.j>
Component: New BugsAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: commit-queue, koivisto, simon.fraser, webkit-bug-importer, WebkitBugTracker
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: Mac   
OS: macOS 10.15   
Attachments:
Description Flags
patch none

Description Jason Lawrence 2020-02-26 14:27:21 PST
fast/harness/uiscriptcontroller/concurrent-ui-side-scripts.html

Description:
This test is flaky failing on Mac wk2. The oldest failure that I see is on r257099 which has the same diff.

History:
https://results.webkit.org/?suite=layout-tests&test=fast%2Fharness%2Fuiscriptcontroller%2Fconcurrent-ui-side-scripts.html&flavor=wk2&platform=mac&version_name=Catalina&style=release&limit=50000

Diff:
--- /Volumes/Data/slave/catalina-release-tests-wk2/build/layout-test-results/fast/harness/uiscriptcontroller/concurrent-ui-side-scripts-expected.txt
+++ /Volumes/Data/slave/catalina-release-tests-wk2/build/layout-test-results/fast/harness/uiscriptcontroller/concurrent-ui-side-scripts-actual.txt
@@ -1,9 +1,9 @@
-Script 2:
-Running UI-side script 2
-Completed async task 2.1. Script done.
 Script 1:
 Running UI-side script 1
 Completed async task 1.1.
 Completed async task 1.2.
 Completed async task 1.3. Script done.
+Script 2:
+Running UI-side script 2
+Completed async task 2.1. Script done.
 .
Comment 1 Radar WebKit Bug Importer 2020-02-26 14:27:48 PST
<rdar://problem/59821552>
Comment 2 Jason Lawrence 2020-02-26 14:39:44 PST
I have marked this test as failing while this issue is being investigated.
https://trac.webkit.org/changeset/257517/webkit
Comment 3 Jason Lawrence 2020-02-27 09:10:07 PST
The regression point for this flaky failure is r257072. The diff that I get when reproducing the issue matches.
Comment 4 Antti Koivisto 2020-02-27 10:51:30 PST
Created attachment 391891 [details]
patch
Comment 5 Simon Fraser (smfr) 2020-02-27 11:03:50 PST
Comment on attachment 391891 [details]
patch

View in context: https://bugs.webkit.org/attachment.cgi?id=391891&action=review

> LayoutTests/fast/harness/uiscriptcontroller/concurrent-ui-side-scripts.html:71
> +            document.getElementById('results').textContent += 'Script 1:\n' + script1Result + 'Script 2:\n' + script2Result;

Another option is to have two "results" divs, one per async script. Then ordering will be document order.
Comment 6 WebKit Commit Bot 2020-02-27 11:50:03 PST
Comment on attachment 391891 [details]
patch

Clearing flags on attachment: 391891

Committed r257580: <https://trac.webkit.org/changeset/257580>
Comment 7 WebKit Commit Bot 2020-02-27 11:50:05 PST
All reviewed patches have been landed.  Closing bug.
Comment 8 Jason Lawrence 2020-03-09 16:49:31 PDT
I have removed the failing state expectation, as this issue is resolved.
https://trac.webkit.org/changeset/258175/webkit